org.modeshape.jdbc.metadata

## Interface JDBCColumnPositions

-     public interface JDBCColumnPositions

  This class provides constants indicating positions of columns in the `ResultSets` returned by methods on `MMDatabaseMetaData` object. The inner classes represent the methods while attributes represent the column positions. The name of the constant explains the column content.

  The constants in the inner classes could include column positions for columns that are hardcoded, columns positions of some columns on server's `Results` object.

  Each of the inner classes have a constant `MAX_COLUMNS` that represents the number of columns to be read from the server's `Results` object.

  All the column positions are one based.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JDBCColumnPositions.CATALOGS` This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.COLUMN_PRIVILEGES` This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.COLUMNS` This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.INDEX_INFO` This class contains constants representing column positions on ResultSet returned by getIndexInfo method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.PRIMARY_KEYS` This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.PROCEDURE_COLUMNS` This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.PROCEDURES` This class contains constants representing column positions on ResultSet returned by getProcedures method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.REFERENCE_KEYS` This class contains constants representing column positions on ResultSet returned by getCrossReferences method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.SCHEMAS` This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.TABLE_PRIVILEGES` This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.TABLES` This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.TYPE_INFO` This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData.
    `static interface` | `JDBCColumnPositions.UDTS` This class contains constants representing column positions on ResultSet returned by getUDTS method on DatabaseMetaData.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.